<div class="d-flex justify-content-between mt-5">
  <div class="sub-head">Infrastructure List</div>
  <%= link_to 'Download CSV', infrastructures_path(format: "csv"), class: 'btn btn-primary btn-blue'%>
</div>
<div class="d-flex justify-content-between mt-2">
  <div class="sub-head"></div>
  <%= link_to "Add", new_infrastructure_path, class: "btn btn-primary btn-blue" %>
</div>

<div class="table-responsive mt-5">
  <table class="table table-striped table-borderless table-custom">
    <thead class="table-purple">
      <tr>
        <th scope="col">Infrastructure Details</th>
        <th scope="col">Hostel Details</th>
        <th scope="col">Library Details</th>
        <th scope="col">ICT Infrastructure</th>
        <th scope="col">Actions</th>
      </tr>
    </thead>
    <tbody>
      <% @infrastructures.each do |infrastructure| %>
        <tr>
          <td>
            <%= render 'infra_details_table', :infrastructure => infrastructure %>
          </td>
          <td>
            <%= render 'hostel_table', :infrastructure => infrastructure %>
          </td>
          <td>
            <%= render 'library_table', :infrastructure => infrastructure %>
          </td>
          <td>
            <%= render 'ict_table', :infrastructure => infrastructure %>
          </td>
          <td>
            <%= link_to image_tag("edit.svg", class: "btn btn-bg btn-edit"), edit_infrastructure_path(infrastructure) %>
            <%= link_to image_tag("delete.svg", class: "btn btn-bg"), infrastructure_path(infrastructure), data: { turbo_method: :delete, confirm: 'Are you sure?' } %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>
</div>
